"use strict";
exports.__esModule = true;
exports.RTKLoader = void 0;
var tslib_1 = require("tslib");
var React = (0, tslib_1.__importStar)(require("react"));
function RTKLoader(props) {
    var _a, _b, _c;
    if (props.query.isLoading || props.query.isUninitialized) {
        return (_a = props.loader) !== null && _a !== void 0 ? _a : React.createElement(React.Fragment, null);
    }
    if (props.query.isError && props.query.error) {
        console.warn("RTKLoader error: ".concat(props.query.requestId), props.query.error);
        return ((_c = (_b = props.onError) === null || _b === void 0 ? void 0 : _b.call(props, props.query.error)) !== null && _c !== void 0 ? _c : (React.createElement(React.Fragment, null)));
    }
    if (props.query.isFetching && props.onFetching) {
        return props.onFetching;
    }
    if (props.query.data !== undefined) {
        return props.onSuccess(props.query.data);
    }
    return React.createElement(React.Fragment, null);
}
exports.RTKLoader = RTKLoader;
//# sourceMappingURL=RTKLoader.js.map