"use strict";
exports.__esModule = true;
exports.createLoader = exports.createUseLoader = void 0;
var tslib_1 = require("tslib");
var aggregateToQuery_1 = require("./aggregateToQuery");
var createUseLoader = function (createUseLoaderArgs) {
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var createdQueries = createUseLoaderArgs.queries.apply(createUseLoaderArgs, args);
        var aggregatedQuery = (0, aggregateToQuery_1.aggregateToQuery)(createdQueries);
        if (aggregatedQuery.isSuccess) {
            var data = createUseLoaderArgs.transform
                ? createUseLoaderArgs.transform(createdQueries)
                : createdQueries;
            return (0, tslib_1.__assign)((0, tslib_1.__assign)({}, aggregatedQuery), { data: data });
        }
        return aggregatedQuery;
    };
};
exports.createUseLoader = createUseLoader;
var createLoader = function (createLoaderArgs) {
    var useLoader = (0, exports.createUseLoader)({
        queries: createLoaderArgs.queries,
        transform: createLoaderArgs.transform
    });
    return {
        useLoader: useLoader,
        onLoading: createLoaderArgs.onLoading,
        onError: createLoaderArgs.onError,
        onFetching: createLoaderArgs.onFetching,
        useLoaderArg: createLoaderArgs.deriveLoaderArg
    };
};
exports.createLoader = createLoader;
//# sourceMappingURL=createLoader.js.map