import { __assign } from "tslib";
import { aggregateToQuery } from "./aggregateToQuery";
export var createUseLoader = function (createUseLoaderArgs) {
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var createdQueries = createUseLoaderArgs.queries.apply(createUseLoaderArgs, args);
        var aggregatedQuery = aggregateToQuery(createdQueries);
        if (aggregatedQuery.isSuccess) {
            var data = createUseLoaderArgs.transform
                ? createUseLoaderArgs.transform(createdQueries)
                : createdQueries;
            return __assign(__assign({}, aggregatedQuery), { data: data });
        }
        return aggregatedQuery;
    };
};
export var createLoader = function (createLoaderArgs) {
    var useLoader = createUseLoader({
        queries: createLoaderArgs.queries,
        transform: createLoaderArgs.transform
    });
    return {
        useLoader: useLoader,
        onLoading: createLoaderArgs.onLoading,
        onError: createLoaderArgs.onError,
        onFetching: createLoaderArgs.onFetching,
        useLoaderArg: createLoaderArgs.deriveLoaderArg
    };
};
//# sourceMappingURL=createLoader.js.map